Bug 15025 - bogus characters for fetching files in Norwegian locale
Summary: bogus characters for fetching files in Norwegian locale
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wget   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard: Winston rc1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-01 18:22 UTC by Trond Eivind Glomsrxd
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-31 00:19:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Trond Eivind Glomsrxd 2000-08-01 18:22:57 UTC
After fetching a file with http, I get this at the bottom:

14:13:54 (202.06 KB/s) - ?czslova.gz.2? lagret [6277304/6277304]

("lagret" means "saved"). The "?" around the file name should be "'"

To reproduce:

LANG=no_NO wget my_url_here

Comment 1 Bill Nottingham 2000-08-01 21:24:35 UTC
glibc thinks those quote characters aren't printable. Re-assigning there.

Comment 2 Bill Nottingham 2000-08-01 21:34:14 UTC
Whoops, never mind, wget is being stupid and running setlocale
for LC_MESSAGES, which leaves it with the old LC_CTYPE.

Will be fixed in next wget build.

Comment 3 Glen Foster 2000-08-04 14:57:36 UTC
This defect is considered MUST-FIX for Winston Release-Candidate #1

Comment 4 Trond Eivind Glomsrxd 2000-08-04 15:01:33 UTC
This was fixed right after Bill's message.

Comment 5 Trond Eivind Glomsrxd 2000-11-08 19:34:08 UTC
But it showed up again in time for Red Hat Linux 7 :(

Comment 6 Bill Nottingham 2001-01-31 00:19:18 UTC
The characters get lost in gettext somewhere; they're all
'?' by the time gettext returns.

Comment 7 Trond Eivind Glomsrxd 2001-01-31 00:41:03 UTC
The error was in the locale files supplied with wget... for some weird reason,
Norwegian (and Danish) was marked as being iso-8859-2. Fixed in 1.6-2


Note You need to log in before you can comment on or make changes to this bug.